/*
 * generated by Xtext 2.29.0
 */
package org.eclipse.papyrus.robotics.xtext.compdef.validation;

import java.util.ArrayList;
import java.util.List;

import org.eclipse.emf.ecore.EPackage;
import org.eclipse.papyrus.uml.textedit.common.xtext.validation.UmlCommonJavaValidator;
import org.eclipse.xtext.validation.ComposedChecks;
import org.eclipse.xtext.validation.ImportUriValidator;
import org.eclipse.xtext.validation.NamesAreUniqueValidator;

@ComposedChecks(validators = {ImportUriValidator.class, NamesAreUniqueValidator.class})
public abstract class AbstractCompDefValidator extends UmlCommonJavaValidator {
	
	@Override
	protected List<EPackage> getEPackages() {
		List<EPackage> result = new ArrayList<EPackage>(super.getEPackages());
		result.add(org.eclipse.papyrus.robotics.xtext.compdef.compDefText.CompDefTextPackage.eINSTANCE);
		return result;
	}
}
